Bug 1270207 - Gluster daemon crash [NEEDINFO]
Gluster daemon crash
Status: CLOSED INSUFFICIENT_DATA
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.7.6
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Satish Mohan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 05:33 EDT by Ali Abbas
Modified: 2016-06-22 01:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-22 01:08:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ggarg: needinfo? (muhammad.aliabbas)


Attachments (Terms of Use)

  None (edit)
Description Ali Abbas 2015-10-09 05:33:22 EDT
Description of problem:

Gluster daemon on individual servers crash, with crashdump in log file. This has started happening since last upgrade from 3.6.x to 3.7.4. 

Version-Release number of selected component (if applicable):
glusterfs-3.7.4-2.el6.x86_64

How reproducible:
Incident occurs on random hosts approximately once every week.


Additional info:

Volume Configuration
--------------------
Volume Name: Volume-xxxx
Type: Distributed-Replicate
Volume ID: b19cc9e2-071e-4f68-95e3-7c3e26d263a8
Status: Started
Number of Bricks: 2 x 3 = 6
Transport-type: tcp
Bricks:
Brick1: gluster1server:/opt/gluster/bricks/xxxxx-brick1/brick1
Brick2: gluster2server:/opt/gluster/bricks/xxxxx-brick1/brick1
Brick3: gluster3server:/opt/gluster/bricks/xxxxx-brick1/brick1
Brick4: gluster1server:/opt/gluster/bricks/xxxxx-brick2/brick2
Brick5: gluster2server:/opt/gluster/bricks/xxxxx-brick2/brick2
Brick6: gluster3server:/opt/gluster/bricks/xxxxx-brick2/brick2
Options Reconfigured:
features.barrier: disable
performance.readdir-ahead: on



Crash Dump at the time of incident in logs:
--------------------------------------------
patchset: git://git.gluster.com/glusterfs.git
signal received: 6
time of crash:
2015-10-07 12:11:21
configuration details:
argp 1
backtrace 1
dlfcn 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3.7.4
/usr/lib64/libglusterfs.so.0(_gf_msg_backtrace_nomem+0xb6)[0x7f410b691936]
/usr/lib64/libglusterfs.so.0(gf_print_trace+0x32f)[0x7f410b6b149f]
/lib64/libc.so.6(+0x326a0)[0x7f410a0316a0]
/lib64/libc.so.6(gsignal+0x35)[0x7f410a031625]
/lib64/libc.so.6(abort+0x175)[0x7f410a032e05]
/lib64/libc.so.6(+0x70537)[0x7f410a06f537]
/lib64/libc.so.6(+0x75e66)[0x7f410a074e66]
/lib64/libc.so.6(+0x789ba)[0x7f410a0779ba]
/usr/lib64/libglusterfs.so.0(iobref_destroy+0x54)[0x7f410b6cac54]
/usr/lib64/libgfrpc.so.0(rpc_transport_pollin_destroy+0x1e)[0x7f410b45d3de]
/usr/lib64/glusterfs/3.7.4/rpc-transport/socket.so(+0xabf4)[0x7f40fe73fbf4]
/usr/lib64/glusterfs/3.7.4/rpc-transport/socket.so(+0xc7bd)[0x7f40fe7417bd]
/usr/lib64/libglusterfs.so.0(+0x8b0a0)[0x7f410b6f70a0]
/lib64/libpthread.so.0(+0x7a51)[0x7f410a77da51]
/lib64/libc.so.6(clone+0x6d)[0x7f410a0e79ad]
---------
Comment 1 Gaurav Kumar Garg 2015-10-13 00:19:14 EDT
Hi Ali,

The information which you have given is insufficient. Could you provide us bt (back trace) of your core file and could you attach glusterd logs. do you remember what steps was you following which cause glusterd crash.
Comment 2 Ali Abbas 2015-12-21 08:45:44 EST
Hi Soumya, 

Unfortunately I am not able to provide any further details related to this particular incident. However I can provide logs and other information related to incidents that happened on later dates. Or I can close this issue and raise another one that is specific to that incident.


Regards,
Ali
Comment 3 Gaurav Kumar Garg 2015-12-28 03:51:38 EST
(In reply to Ali Abbas from comment #2)
> Hi Soumya, 
> 
> Unfortunately I am not able to provide any further details related to this
> particular incident. However I can provide logs and other information
> related to incidents that happened on later dates. Or I can close this issue
> and raise another one that is specific to that incident.
> 
> 
> Regards,
> Ali

Hi Ali,

if the issue is related to glusterd crash then you can attach core_file/glusterd logs/command line history logs. if the issue is something else then you can close this bug and raise new bug specific to that issue.

Thanx,
Gaurav
Comment 5 Atin Mukherjee 2016-06-22 01:08:34 EDT
Since we haven't received other information asked for, I am closing this bug, feel free to reopen if the issue persists.

Note You need to log in before you can comment on or make changes to this bug.